#ifndef POOL_H
#define POOL_H

class StringPool {
  public:
    // Létrehoz obj_num db RString obejktumot, 
    // melyek kapacitása init_cap méretű
    StringPool(size_t obj_num, size_t init_cap);
    
    // Visszaad egy szabad RString objektumot ami 
    // legalább capacity kapacitással rendelkezik
    // Ha nincs ilyen a pool-ban, akkor létrehoz egyet
    RString& acquire(size_t capacity);

    // Ezután a visszaadott str objektum újra kiosztható másnak
    void release(RString& str);
};

#endif