#ifndef PSTRING_H
#define PSTRING_H

class RString {
  public:
    // Létrehoz a megadott kapacitással egy karaktertömböt
    // A tömb első helyére egy \0-t rak
    RString(size_t_ capacity);
    // Létrehoz egy karaktertömböt strlen(str) + 1 mérettel
    // majd odamásolja str tartalmát 
    RString(const char* str);
    // Létrehoz egy karaktertömböt capacity mérettel,
    // majd odamásolja az str string-et
    // Ha a string nem fér bele, eldobja a neptun-kódodat
    RString(const char* str, size_t capacity)
    // Megadja a string méretét (strlen)
    size_t size();
    // Megadja a karaktertömb kapacitását
    size_t capacity();
    // Visszaadja a string memóriaterületére mutató pointert
    operator char*() const;
};

#endif